function spot=gtGetSummedDifSpot_pair(difID, pair, varargin)
%returns the summed difspot image (saved as difspot%05d.edf)
%pair=1 - this dataset, pair=2 - pair dataset
%difblob compatible, varargin{1}=1 if already connected to mysql
% if varargin{2}=parameters is defined, it won't load the parameters file

disp('DO NOT USE THIS!!')
return

% connect to database
connected=0;
parameters=[];
if ~isempty(varargin)
	connected=varargin{1};
  parameters=varargin{2};
end
if ~connected
  gtDBConnect
end
if isempty(parameters)
  %disp('Loading parameter file')
  load('parameters.mat');
end


if pair == 2
  name=parameters.acq.pair_name;
elseif pair ==1
  name=parameters.acq.name;
end
%path=sprintf('../%s',name);
%path=parameters.acq.dir;
path=[parameters.acq.dir '/../' name];


filename=sprintf('%s/2_difspot/difspot/difspot%05d.edf',path,difID);
%filename=sprintf('%s/2_difspot/difspot%05d.edf',path,difID);

if exist(filename, 'file') %read the edf file
  spot=edf_read(filename);
else%seee if there is a blob...
  try
    tablename=sprintf('%sdifblobdetails',name);
    vol=gtDBBrowseDiffractionVolume(tablename, difID);
    spot=sum(vol,3);
  catch
    disp('cannot find difspot as edf or as difblob!')
    lasterr
  end
end



end
